Description

As reported by Martin Korbel in https://bugzilla.redhat.com/show_bug.cgi?id=1112227

Description of problem:

We cannot create new guest from the RHEV template image. We get this error message "Unable to save

Failed to create a compute RHEV-resource (RHEV) instance rhev20.test.example.com: Cannot add VM. Cannot set single display

device to non Linux operating system."

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140618.0

How reproducible:

100%

Steps to Reproduce:

1. We have got Sat6 with RHEV compute resource. In this RHEV, we have got prepared the template (RHEL6, what was prepared

using by this manual 

https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.4/html/Administration_Guide/Sealing_a_Li

nux_Virtual_Machine_for_Deployment_as_a_Template_using_sys-unconfig.html)

2. Create new image ("infrastructure" > "Compute resources" > our RHEV resource > "Images" > "New Image").

Name: myTemplateRHEL6.5

Operatingsystem: RHEL Server 6.5

Architecture: x86_64

Username: root

Password: xxx

Image: <choose our RHEV template>

Press "submit".

3. We open "Kickstart default finish" in "Hosts" > "Provisioning Templates" and Add association with "RHEL Server 6.5".

4. We open "RHEL Server 6.5" in "Hosts" > "Operating systems" and in the Templates tab, we select

finish: "Kickstart default finish"

5. We try to create new guest from template. Open "Hosts" > "New Host"

Host

----------------------------------

Name: something

Deploy on: RHEV

Lifecycle environment: <select one>

Content view: <select one>

Network

----------------------------------

Domain: <selct one>

Subnet: <selct one>

Operating System

----------------------------------

Architecture: x86_64

Operating system: RHEL Server 6.5
Provisioning Method: Image Based

Image: myTemplateRHEL6.5

press "Resolve" button and we get "finish Template   -  Kickstart default finish"

6. Press "Submit" button. We get this error message "Unable to save

Failed to create a compute RHEV-resource (RHEV) instance rhev20.test.example.com: Cannot add VM. Cannot set single display

device to non Linux operating system."

Logs are in the attachment first.txt (Attachment 911396 [details]).

7. We change nothing and press "Submit" button again.

At first, all look like good, but then we can detected, Sat6 created new guest without HDD.

Logs are in the attachment second.txt (Attachment 911397 [details]).

Actual results:

impossible create new guests from template image.

Related issues:

Related to Foreman - Bug #5581: oVirt image based deployment does not create ... Closed

History

#1 - 07/04/2014 08:35 AM - Lukas Zapletal

- Bugzilla link set to 1112227

Upstream bug for discussion filed:

https://github.com/abenari/rbovirt/issues/39

#2 - 07/04/2014 08:45 AM - Lukas Zapletal

When I remove the whole os XML element from the request, it works just fine. It looks like unassigned is no longer an option in RHEV/oVirt.

#3 - 07/04/2014 09:21 AM - Lukas Zapletal

- Related to Bug #5581: oVirt image based deployment does not create a disk added

#4 - 07/04/2014 09:22 AM - Lukas Zapletal

Confirmed, the change in rbovirt is to remove os element when template element is present upon creating new VM.

#5 - 07/07/2014 04:24 AM - Dominic Cleal

- Target version set to 1.8.1

#6 - 07/07/2014 07:27 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#7 - 07/07/2014 10:20 AM - Lukas Zapletal

Fix sent upstream: https://github.com/abenari/rbovirt/pull/40

#8 - 07/30/2014 06:50 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#9 - 08/04/2014 05:40 AM - Lukas Zapletal

Patch accepted and fixed in 0.0.29.

Do I need to raise another issue for version bump Dominic?

#10 - 08/04/2014 05:43 AM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 10

Nah, it's fine, our RPMs are already updated and debs will get it on the next build.  Thanks Lukas!
